 /*
  * Khoros: $Id: tiff2viff.h,v 1.1 1991/05/10 15:53:04 khoros Exp $
  */

 /*
  * $Log: tiff2viff.h,v $
 * Revision 1.1  1991/05/10  15:53:04  khoros
 * Initial revision
 *
  */ 

/*
 *----------------------------------------------------------------------
 *
 * Copyright 1991, University of New Mexico.  All rights reserved.
 * Permission to copy and modify this software and its documen-
 * tation only for internal use in your organization is hereby
 * granted, provided that this notice is retained thereon and
 * on all copies.  UNM makes no representations as too the sui-
 * tability and operability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 * 
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT-
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER-
 * FORMANCE OF THIS SOFTWARE.
 * 
 * No other rights, including for example, the right to redis-
 * tribute this software and its documentation or the right to
 * prepare derivative works, are granted unless specifically
 * provided in a separate license agreement.
 *---------------------------------------------------------------------
 */

#include "unmcopyright.h"        /* Copyright 1991 by UNM */


/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name: tiff2viff.h
 >>>>            Author: Tom Sauer
 >>>> Date Last Updated: Sun Mar 10 21:09:21 1991
 >>>> 
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

#ifndef _tiff2viff_h_
#define _tiff2viff_h_

#include "vinclude.h"


/* -include_includes */
/* -include_includes_end */

char	**av,		/* argv and argc used by gparams */
	*program,	/* a pointer to the program name argv[0] */
	*calloc();
int	ac;

/****************************************************************
*
*                    tiff2viff Argument Structure
*
****************************************************************/

typedef struct _tiff2viff  {

/*
 *  input TIFF image (Required infile)
 */
char	*i_file;	/* input TIFF image FILENAME */
int	 i_flag;	/* input TIFF image FLAG */

/*
 *  resulting VIFF image (Required outfile)
 */
char	*o_file;	/* resulting VIFF image FILENAME */
int	 o_flag;	/* resulting VIFF image FLAG */

/*
 *  verbose mode (Optional logical)
 */
int	 v_logic;	/* verbose mode LOGIC */
int	 v_flag;  	/* verbose mode FLAG */

}  tiff2viff_struct;

tiff2viff_struct *tiff2viff;

/* -include_additions */
#include "file_formats/tiffio.h"
/* -include_additions_end */

/* -include_macros */
/* -include_macros_end */

#endif
