 /*
  * Khoros: $Id: form_info.h,v 1.3 1992/03/20 22:50:33 dkhoros Exp $
  */

 /*
  * $Log: form_info.h,v $
 * Revision 1.3  1992/03/20  22:50:33  dkhoros
 * VirtualPatch5
 *
  */

/*
 *---------------------------------------------------------------------
 *            Copyright 1990 University of New Mexico
 * 
 * Permission to copy and modify this software and its documen- 
 * tation only for internal use in your organization is hereby 
 * granted, provided that this notice is retained thereon and 
 * on all copies.  UNM makes no representations as too the sui- 
 * tability and operability of this software for any purpose. 
 * It is provided 'as is' without express or implied warranty. 
 *  
 * UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, 
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT- 
 * NESS.  IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL, 
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY OTHER DAMAGES WHAT- 
 * SOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER 
 * IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS 
 * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PER- 
 * FORMANCE OF THIS SOFTWARE. 
 *  
 * No other rights, including for example, the right to redis- 
 * tribute this software and its documentation or the right to 
 * prepare derivative works, are granted unless specifically 
 * provided in a separate license agreement. 
 * 
 *---------------------------------------------------------------------
 */

/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>  <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
 >>>>
 >>>>         File Name:  form_info.h
 >>>>
 >>>>      Program Desc:  structure in which values extracted
 >>>>                      from the graphical user interface are stored
 >>>>
 >>>>            Author:  automatically generated by conductor
 >>>>
 >>>> Date Last Updated:  Fri Mar 13 14:34:44 1992
 >>>>
 >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>   <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

typedef struct {

        char *pane_file;
        int pane_file_index;

        int read_pane;
        int read_pane_index;

        int save_pane;
        int save_pane_index;

        int select_I;
        int select_I_index;

        int select_O;
        int select_O_index;

        int select_f;
        int select_f_index;

        int select_i;
        int select_i_index;

        int select_s;
        int select_s_index;

        int select_l;
        int select_l_index;

        int select_T;
        int select_T_index;

        int select_C;
        int select_C_index;

        int select_b;
        int select_b_index;

        int select_P;
        int select_P_index;

        int select_a;
        int select_a_index;

        int select_H;
        int select_H_index;

        int select_Q;
        int select_Q_index;

        int select_R;
        int select_R_index;

        int delete;
        int delete_index;

        int copy;
        int copy_index;

        char *var_name;
        int var_name_index;

        char *name;
        int name_index;

        char *button_label;
        int button_label_index;
        int button_label_selected;

        char *usage_string;
        int usage_string_index;

        char *default_string;
        int default_string_index;
        int default_string_selected;

        int active;
        int active_index;
        int active_selected;

        int live;
        int live_index;
        int live_selected;

        int optional;
        int optional_index;
        int optional_selected;

        int opt_selected;
        int opt_selected_index;
        int opt_selected_selected;

        int gs_width;
        int gs_width_index;
        int gs_width_selected;

        int gs_height;
        int gs_height_index;
        int gs_height_selected;

        int gs_xoff;
        int gs_xoff_index;
        int gs_xoff_selected;

        int gs_yoff;
        int gs_yoff_index;
        int gs_yoff_selected;

        int ps_xoff;
        int ps_xoff_index;
        int ps_xoff_selected;

        int ps_yoff;
        int ps_yoff_index;
        int ps_yoff_selected;

        int toggle_range_val;
        int toggle_range_index;
        int toggle_range_selected;

        float default_float;
        int default_float_index;
        int default_float_selected;

        float lower_range;
        int lower_range_index;

        float upper_range;
        int upper_range_index;

        char *zero_label;
        int zero_label_index;
        int zero_label_selected;

        char *one_label;
        int one_label_index;
        int one_label_selected;

        int default_logical;
        int default_logical_index;
        int default_logical_selected;

        int quit;

} pane_edit_pane;

typedef struct {

        pane_edit_pane  *edit_pane;
        int edit_pane_selected;
        int edit_pane_index;
        int edit_pane_gb_index;

}  Composer_pane;


typedef struct {

        char *prog_file;
        int prog_file_index;

        int read_prog;
        int read_prog_index;

        int save_prog;
        int save_prog_index;

        int authors;
        int authors_index;

        int short_prog_description;
        int short_prog_description_index;

        int man1_long_description;
        int man1_long_description_index;

        int man1_examples;
        int man1_examples_index;

        int man1_restrictions;
        int man1_restrictions_index;

        int man1_see_also;
        int man1_see_also_index;

        int usage_additions;
        int usage_additions_index;

        int include_includes;
        int include_includes_index;

        int include_additions;
        int include_additions_index;

        int include_macros;
        int include_macros_index;

        int main_variable_list;
        int main_variable_list_index;

        int main_before_lib_call;
        int main_before_lib_call_index;

        int main_library_call;
        int main_library_call_index;

        int main_after_lib_call;
        int main_after_lib_call_index;

        int library_def;
        int library_def_index;

        int library_includes;
        int library_includes_index;

        int library_code;
        int library_code_index;

        int short_lib_description;
        int short_lib_description_index;

        int man3_long_description;
        int man3_long_description_index;

        int man3_see_also;
        int man3_see_also_index;

        int man3_restrictions;
        int man3_restrictions_index;

        int library_mods;
        int library_mods_index;

        int library_input;
        int library_input_index;

        int library_output;
        int library_output_index;

        char *prog_text;
        int prog_text_index;

        int quit;

} prog_edit_prog;

typedef struct {

        prog_edit_prog  *edit_prog;
        int edit_prog_selected;
        int edit_prog_index;
        int edit_prog_gb_index;

}  Composer_prog;


typedef struct {

        char *name;
        int name_index;

        char *project;
        int project_index;

        int con_file;
        int con_file_index;

        int install;
        int install_index;

        int lib;
        int lib_index;

        int man3;
        int man3_index;

        int exec_ghost;
        int exec_ghost_index;

        int exec_ghostcheck;
        int exec_ghostcheck_index;

        int exec_ghostreader;
        int exec_ghostreader_index;

        int exec_make;
        int exec_make_index;

        int exec_kinstall;
        int exec_kinstall_index;

        int quit;

} conf_manage_ghost_routines;

typedef struct {

        conf_manage_ghost_routines  *ghost_routines;
        int ghost_routines_selected;
        int ghost_routines_index;
        int ghost_routines_gb_index;

}  Composer_conf_manage;


typedef struct { 

        Composer_pane  *pane;
        int pane_selected;
        int pane_index;
        int pane_sfb_index;

        Composer_prog  *prog;
        int prog_selected;
        int prog_index;
        int prog_sfb_index;

        Composer_conf_manage  *conf_manage;
        int conf_manage_selected;
        int conf_manage_index;
        int conf_manage_sfb_index;

        int quit;


 }  Composer; 

