 /*
  * Khoros: $Id: PlotObjP.h,v 1.2 1991/10/02 00:20:31 khoros Exp $
  */

 /*
  * $Log: PlotObjP.h,v $
 * Revision 1.2  1991/10/02  00:20:31  khoros
 * HellPatch2
 *
  */ 

/*
 *----------------------------------------------------------------------
 *
 *            Copyright 1990 University of New Mexico
 *  
 *  Permission to use, copy, modify, distribute, and sell this
 *  software and its documentation for any purpose is hereby
 *  granted without fee, provided that the above copyright
 *  notice appear in all copies and that both that copyright
 *  notice and this permission notice appear in supporting docu-
 *  mentation, and that the name of UNM not be used in advertis-
 *  ing or publicity pertaining to distribution of the software
 *  without specific, written prior permission.  UNM makes no
 *  representations about the suitability of this software for
 *  any purpose.  It is provided "as is" without express or
 *  implied warranty.
 *  
 *  UNM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 *  INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FIT-
 *  NESS, IN NO EVENT SHALL UNM BE LIABLE FOR ANY SPECIAL,
 *  INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
 *  RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 *  ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
 *  OF THIS SOFTWARE.
 *  
 *----------------------------------------------------------------------
 */

#include "unmcopyright.h"	 /* Copyright 1990 by UNM */

#ifndef _PlotObjP_h_
#define _PlotObjP_h_

#include <X11/RectObjP.h>
#include "PlotObj.h"

typedef struct _PlotObjClassPart
{
   void (*redisplay)();
   XtPointer  extension;
} PlotObjClassPart;


typedef struct _PlotObjClassRec
{
   RectObjClassPart   rect_class;
   PlotObjClassPart   plotobj_class;
} PlotObjClassRec;

extern PlotObjClassRec plotObjClassRec;


typedef struct
{
  Pixel	  foreground,
	  background;
  char	  *label;
  Coord   *points;
  XColor  *colors;
  int	  size,
	  plot_width,
	  plot_height,
	  ncolors,
	  plot_type,
	  marker_type;
  Boolean active, use_image, interp_image;
  struct xvimage *image, *elevation;

  XColor fg, bg;
  Coord  wcmin, wcmax;
} PlotObjPart;


typedef struct _PlotObjRec
{
   ObjectPart	object;
   RectObjPart  rectangle;
   PlotObjPart  plot;
} PlotObjRec;

#endif
/* Do not add after this line */
